Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.

Messages - niz23

Pages: [1] 2 3 ... 25
Installation issues / Re: Xine, x264, VC1 (mkv), and VDPAU
« on: August 17, 2010, 11:06:13 pm »
Do apt-get dist-upgrade

Users / Re: xine and mpeg file 1280x720 with dolby 5.1
« on: July 31, 2010, 11:08:46 am »
This mean that the codec to decoue tthe audio stream does not work for your file in the version xine we have atm.
Lucid have xine 1.1.17.

I can look into if it is possible to backport newer audio codecs to the vesion we use. I do not promise anything.


Users / Re: xine and mpeg file 1280x720 with dolby 5.1
« on: July 30, 2010, 11:58:29 pm »
Can you post output from xine?

Developers / Re: Project VLC
« on: July 30, 2010, 11:23:04 pm »
I´ll add my two cents to this thread.
Instead of focus in vlc, gstreamer etc.

Why not look at libplayer.
It´s a generic player library that abstracts the inner working of xine, mplayer, vlc and gstreamer into one api.
Having such a solution will make it very easy to use another player engine if one wants.
Or have several libplayer devices running with different audio/video render engines.


Users / Re: xine and mpeg file 1280x720 with dolby 5.1
« on: July 30, 2010, 10:49:17 pm »
There was an update to audio demux/decode in libxine around 1.1.18 for what you are seeing.
Atm I´m not sure what we can do about it.



If you want.
Do a apt-get update && apt-get upgrade and install updated libxine1.
It contain an updated mkv demuxer. Not the very latest container version.

Try it out and give me feedback on how it works.

Re libxine 1.1.19. It is very easy to build if you want.
Unfortunately it do not contain any support for gpu offload, like vdpau.

I´m looking toward how to merge vdpau to latest xine, but as xine devs have no interest in it it´s up to use to solve.
Backporting xine demuxers from newer versions is not a very big job as long as they do not touch the core of libxine.

With the version I have I can play all my files at home. Including hd livetv recordings.


Installation issues / Re: Xine, x264, VC1 (mkv), and VDPAU
« on: July 21, 2010, 10:01:40 am »
I´m looking at xine now to see what can be done about this.
xineliboutput (vdr-sxfe) is what breaks if you use xine with mkv patches.
I´m not sure why as I have not found anything in vdr-sxfe that should depend upon mkv stuff in libxine.
Still it does break.


Users / Re: DIY USB blaster (UIRT) ?
« on: July 21, 2010, 09:58:08 am »

It´s probably located in lirc package itself.

See changelog and there´s a note from radu. A former pluto guy re Pronto changes.
I do not now which files is touched as there seem to be no patch in debian/patches that add the pronto stuff during build.

Join linuxmce-devel and try to get hold of Uplink he know what have been done to lirc.



Your problem is related to xine. Not vdpau as demux of audio/video is done i software and not hw.
The demuxed video data is passed to gpu through vdpau and hence offloaded from cpu.

As TSCHAK pointed out we have a version of Xine that is unable to demux newer matroska containers in current release because we are unable to get vdr to run with the my backported version. I have started to look at how to port vdpau to xine It´s a huge job that need to be done manually.
If you do not use vdr your problem can be solved either by installing the updated xine with mkv backports as suggested or by building your own xinelib >1.1.17.
Unfortunately any version newer of xine than do not have vdpau because the Xine devel team decided to focus on upcoming version 1.2 instead.
Before you ask I can say that v1.2 is not a possible road due to so much dependencies on newer libraries and also because 1.2 is not abi compatible with 1.1.x releases.


Installation issues / Re: Xine, x264, VC1 (mkv), and VDPAU
« on: July 12, 2010, 09:59:24 pm »
I might be wrong on this.
Are those .m2ts files you are talking about blueray rips?
As far as I know xine do not support blueray movies.
That´s why mplayer is started for when a .m2ts movie is played.


Developers / Re: Programming Task: Detect VDPAU
« on: July 05, 2010, 05:34:12 pm »
There is a small utility written in cpp that can query nvidia cards and return what vdpau capabilities is supported.
It is linked to libvdpau and should be fairly easy to extend with new features.

What is your plan.
A tool that autoconfigure vdpau settings for each MD upon creation/install?


Users / Re: VDPAU Xine Deinterlacing
« on: July 05, 2010, 05:27:10 pm »

The deinterlacing setting you see in webadmin do not take advantage of vdpau.
Because of that the cpu get overloaded and picture quality suffers.


Users / Re: .MKV video files
« on: March 23, 2010, 03:17:12 pm »
As far as I know it do not change which player get used for a media file.
.evo and .m2ts is routed to mplayer the rest is handled by xineplayer.


Users / Re: .MKV video files
« on: March 22, 2010, 09:15:55 pm »
Many mkv files do not play in the version of Xine that we use because it do not support latest Matroska Container format.


Don´t know if you have seen instead of iUI which seem to be stalled.

I have just started to look at ruby and find it interesting especially since our GSD device use ruby.
My goal is a html socket like server within a gsd device based on true websocket or Orbited (Ajax long-polling).

I have a couple of possible solutions for a web based Orbiter with bi-directional communication. Which mean lmce can send command and events to it.
-Websocket/Orbited within a GSD device and a javascript client.
-GSD device with a Stomp client that connect to a message queue server and a javascript Stomp client.


Pages: [1] 2 3 ... 25